"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportsApi = exports.ReportsApiFactory = exports.ReportsApiFp = exports.ReportsApiAxiosParamCreator = exports.RegionsApi = exports.RegionsApiFactory = exports.RegionsApiFp = exports.RegionsApiAxiosParamCreator = exports.OrderManagementApi = exports.OrderManagementApiFactory = exports.OrderManagementApiFp = exports.OrderManagementApiAxiosParamCreator = exports.HealthApi = exports.HealthApiFactory = exports.HealthApiFp = exports.HealthApiAxiosParamCreator = exports.DefaultApi = exports.DefaultApiFactory = exports.DefaultApiFp = exports.DefaultApiAxiosParamCreator = exports.CurrenciesApi = exports.CurrenciesApiFactory = exports.CurrenciesApiFp = exports.CurrenciesApiAxiosParamCreator = exports.AnalyticsApi = exports.AnalyticsApiFactory = exports.AnalyticsApiFp = exports.AnalyticsApiAxiosParamCreator = exports.SellOrderOrderTypeEnum = exports.SellOrderStatusEnum = exports.QuoteSortMetadataSortByEnum = exports.ProviderBuyFeatureRedirectionEnum = exports.ProviderBuyFeatureBrowserEnum = exports.ProviderBuyFeatureOrderCustomIdEnum = exports.ProviderEnvironmentTypeEnum = exports.PaymentType = exports.PaymentIconType = exports.OrderOrderTypeEnum = exports.OrderStatusEnum = exports.BuyWidgetInformationBrowserEnum = exports.Browser = void 0;
const axios_1 = __importDefault(require("axios"));
const common_1 = require("./common");
const base_1 = require("./base");
exports.Browser = {
    InAppOsBrowser: 'IN_APP_OS_BROWSER',
    AppBrowser: 'APP_BROWSER',
    ExternalOsBrowser: 'EXTERNAL_OS_BROWSER',
};
exports.BuyWidgetInformationBrowserEnum = {
    InAppOsBrowser: 'IN_APP_OS_BROWSER',
    AppBrowser: 'APP_BROWSER',
    ExternalOsBrowser: 'EXTERNAL_OS_BROWSER',
};
exports.OrderStatusEnum = {
    Unknown: 'UNKNOWN',
    Precreated: 'PRECREATED',
    Created: 'CREATED',
    Pending: 'PENDING',
    Failed: 'FAILED',
    Completed: 'COMPLETED',
    Cancelled: 'CANCELLED',
    IdExpired: 'ID_EXPIRED',
};
exports.OrderOrderTypeEnum = {
    Buy: 'BUY',
    Transfer: 'TRANSFER',
    Sell: 'SELL',
};
exports.PaymentIconType = {
    AntDesign: 'antDesign',
    Entypo: 'entypo',
    EvilIcons: 'evilIcons',
    Feather: 'feather',
    FontAwesome: 'fontAwesome',
    FontAwesome5: 'fontAwesome5',
    Fontisto: 'fontisto',
    Foundation: 'foundation',
    Ionicons: 'ionicons',
    MaterialIcons: 'materialIcons',
    MaterialCommunityIcons: 'materialCommunityIcons',
    Octicons: 'octicons',
    Zocial: 'zocial',
    SimpleLineIcons: 'simpleLineIcons',
};
exports.PaymentType = {
    DebitCreditCard: 'debit-credit-card',
    BankTransfer: 'bank-transfer',
    ApplePay: 'apple-pay',
    GooglePay: 'google-pay',
    RevPay: 'rev-pay',
    Wallet: 'wallet',
};
exports.ProviderEnvironmentTypeEnum = {
    Staging: 'STAGING',
    Production: 'PRODUCTION',
};
exports.ProviderBuyFeatureOrderCustomIdEnum = {
    Empty: '',
    Digits10: 'DIGITS_10',
    Guid: 'GUID',
    Alpha64: 'ALPHA_64',
};
exports.ProviderBuyFeatureBrowserEnum = {
    InAppOsBrowser: 'IN_APP_OS_BROWSER',
    AppBrowser: 'APP_BROWSER',
    ExternalOsBrowser: 'EXTERNAL_OS_BROWSER',
};
exports.ProviderBuyFeatureRedirectionEnum = {
    HttpRedirection: 'HTTP_REDIRECTION',
    JsonRedirection: 'JSON_REDIRECTION',
};
exports.QuoteSortMetadataSortByEnum = {
    _0: '0',
    _1: '1',
    _2: '2',
};
exports.SellOrderStatusEnum = {
    Unknown: 'UNKNOWN',
    Precreated: 'PRECREATED',
    Created: 'CREATED',
    Pending: 'PENDING',
    Failed: 'FAILED',
    Completed: 'COMPLETED',
    Cancelled: 'CANCELLED',
    IdExpired: 'ID_EXPIRED',
};
exports.SellOrderOrderTypeEnum = {
    Sell: 'SELL',
};
const AnalyticsApiAxiosParamCreator = function (configuration) {
    return {
        analyticsControllerGetCountryReport: async (options = {}) => {
            const localVarPath = `/analytics/countrylist`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        analyticsControllerGetCryptoReport: async (options = {}) => {
            const localVarPath = `/analytics/currencies/cryptolist`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        analyticsControllerGetFiatReport: async (options = {}) => {
            const localVarPath = `/analytics/currencies/fiatlist`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        analyticsControllerGetNetworkReport: async (options = {}) => {
            const localVarPath = `/analytics/currencies/networklist`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        analyticsControllerGetPartnerPurchases: async (start, end, providerCode, skip, limit, options = {}) => {
            (0, common_1.assertParamExists)('analyticsControllerGetPartnerPurchases', 'start', start);
            (0, common_1.assertParamExists)('analyticsControllerGetPartnerPurchases', 'end', end);
            (0, common_1.assertParamExists)('analyticsControllerGetPartnerPurchases', 'providerCode', providerCode);
            const localVarPath = `/analytics/providers/{providerCode}/orders`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (start !== undefined) {
                localVarQueryParameter['start'] = start;
            }
            if (end !== undefined) {
                localVarQueryParameter['end'] = end;
            }
            if (skip !== undefined) {
                localVarQueryParameter['skip'] = skip;
            }
            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        analyticsControllerGetPaymentReport: async (options = {}) => {
            const localVarPath = `/analytics/currencies/paymentlist`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        analyticsControllerGetProviderReport: async (options = {}) => {
            const localVarPath = `/analytics/providerlist`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        analyticsControllerGetSupportedCountriesByProvider: async (options = {}) => {
            const localVarPath = `/analytics/countries`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        analyticsControllerGetSupportedCryptoCurrencies: async (options = {}) => {
            const localVarPath = `/analytics/currencies/crypto`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        analyticsControllerGetSupportedRegionsByProvider: async (options = {}) => {
            const localVarPath = `/analytics/regions`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
exports.AnalyticsApiAxiosParamCreator = AnalyticsApiAxiosParamCreator;
const AnalyticsApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.AnalyticsApiAxiosParamCreator)(configuration);
    return {
        async analyticsControllerGetCountryReport(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetCountryReport(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async analyticsControllerGetCryptoReport(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetCryptoReport(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async analyticsControllerGetFiatReport(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetFiatReport(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async analyticsControllerGetNetworkReport(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetNetworkReport(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async analyticsControllerGetPartnerPurchases(start, end, providerCode, skip, limit, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetPartnerPurchases(start, end, providerCode, skip, limit, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async analyticsControllerGetPaymentReport(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetPaymentReport(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async analyticsControllerGetProviderReport(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetProviderReport(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async analyticsControllerGetSupportedCountriesByProvider(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetSupportedCountriesByProvider(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async analyticsControllerGetSupportedCryptoCurrencies(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetSupportedCryptoCurrencies(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async analyticsControllerGetSupportedRegionsByProvider(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.analyticsControllerGetSupportedRegionsByProvider(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
    };
};
exports.AnalyticsApiFp = AnalyticsApiFp;
const AnalyticsApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.AnalyticsApiFp)(configuration);
    return {
        analyticsControllerGetCountryReport(options) {
            return localVarFp
                .analyticsControllerGetCountryReport(options)
                .then((request) => request(axios, basePath));
        },
        analyticsControllerGetCryptoReport(options) {
            return localVarFp
                .analyticsControllerGetCryptoReport(options)
                .then((request) => request(axios, basePath));
        },
        analyticsControllerGetFiatReport(options) {
            return localVarFp
                .analyticsControllerGetFiatReport(options)
                .then((request) => request(axios, basePath));
        },
        analyticsControllerGetNetworkReport(options) {
            return localVarFp
                .analyticsControllerGetNetworkReport(options)
                .then((request) => request(axios, basePath));
        },
        analyticsControllerGetPartnerPurchases(start, end, providerCode, skip, limit, options) {
            return localVarFp
                .analyticsControllerGetPartnerPurchases(start, end, providerCode, skip, limit, options)
                .then((request) => request(axios, basePath));
        },
        analyticsControllerGetPaymentReport(options) {
            return localVarFp
                .analyticsControllerGetPaymentReport(options)
                .then((request) => request(axios, basePath));
        },
        analyticsControllerGetProviderReport(options) {
            return localVarFp
                .analyticsControllerGetProviderReport(options)
                .then((request) => request(axios, basePath));
        },
        analyticsControllerGetSupportedCountriesByProvider(options) {
            return localVarFp
                .analyticsControllerGetSupportedCountriesByProvider(options)
                .then((request) => request(axios, basePath));
        },
        analyticsControllerGetSupportedCryptoCurrencies(options) {
            return localVarFp
                .analyticsControllerGetSupportedCryptoCurrencies(options)
                .then((request) => request(axios, basePath));
        },
        analyticsControllerGetSupportedRegionsByProvider(options) {
            return localVarFp
                .analyticsControllerGetSupportedRegionsByProvider(options)
                .then((request) => request(axios, basePath));
        },
    };
};
exports.AnalyticsApiFactory = AnalyticsApiFactory;
class AnalyticsApi extends base_1.BaseAPI {
    analyticsControllerGetCountryReport(options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetCountryReport(options)
            .then((request) => request(this.axios, this.basePath));
    }
    analyticsControllerGetCryptoReport(options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetCryptoReport(options)
            .then((request) => request(this.axios, this.basePath));
    }
    analyticsControllerGetFiatReport(options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetFiatReport(options)
            .then((request) => request(this.axios, this.basePath));
    }
    analyticsControllerGetNetworkReport(options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetNetworkReport(options)
            .then((request) => request(this.axios, this.basePath));
    }
    analyticsControllerGetPartnerPurchases(start, end, providerCode, skip, limit, options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetPartnerPurchases(start, end, providerCode, skip, limit, options)
            .then((request) => request(this.axios, this.basePath));
    }
    analyticsControllerGetPaymentReport(options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetPaymentReport(options)
            .then((request) => request(this.axios, this.basePath));
    }
    analyticsControllerGetProviderReport(options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetProviderReport(options)
            .then((request) => request(this.axios, this.basePath));
    }
    analyticsControllerGetSupportedCountriesByProvider(options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetSupportedCountriesByProvider(options)
            .then((request) => request(this.axios, this.basePath));
    }
    analyticsControllerGetSupportedCryptoCurrencies(options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetSupportedCryptoCurrencies(options)
            .then((request) => request(this.axios, this.basePath));
    }
    analyticsControllerGetSupportedRegionsByProvider(options) {
        return (0, exports.AnalyticsApiFp)(this.configuration)
            .analyticsControllerGetSupportedRegionsByProvider(options)
            .then((request) => request(this.axios, this.basePath));
    }
}
exports.AnalyticsApi = AnalyticsApi;
const CurrenciesApiAxiosParamCreator = function (configuration) {
    return {
        currenciesControllerGetCryptoRate: async (chainId, cryptoCode, fiat, value, context, options = {}) => {
            (0, common_1.assertParamExists)('currenciesControllerGetCryptoRate', 'chainId', chainId);
            (0, common_1.assertParamExists)('currenciesControllerGetCryptoRate', 'cryptoCode', cryptoCode);
            (0, common_1.assertParamExists)('currenciesControllerGetCryptoRate', 'fiat', fiat);
            const localVarPath = `/currencies/crypto/{chainId}/{cryptoCode}/amount`
                .replace(`{${'chainId'}}`, encodeURIComponent(String(chainId)))
                .replace(`{${'cryptoCode'}}`, encodeURIComponent(String(cryptoCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (fiat !== undefined) {
                localVarQueryParameter['fiat'] = fiat;
            }
            if (value !== undefined) {
                localVarQueryParameter['value'] = value;
            }
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
exports.CurrenciesApiAxiosParamCreator = CurrenciesApiAxiosParamCreator;
const CurrenciesApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.CurrenciesApiAxiosParamCreator)(configuration);
    return {
        async currenciesControllerGetCryptoRate(chainId, cryptoCode, fiat, value, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.currenciesControllerGetCryptoRate(chainId, cryptoCode, fiat, value, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
    };
};
exports.CurrenciesApiFp = CurrenciesApiFp;
const CurrenciesApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.CurrenciesApiFp)(configuration);
    return {
        currenciesControllerGetCryptoRate(chainId, cryptoCode, fiat, value, context, options) {
            return localVarFp
                .currenciesControllerGetCryptoRate(chainId, cryptoCode, fiat, value, context, options)
                .then((request) => request(axios, basePath));
        },
    };
};
exports.CurrenciesApiFactory = CurrenciesApiFactory;
class CurrenciesApi extends base_1.BaseAPI {
    currenciesControllerGetCryptoRate(chainId, cryptoCode, fiat, value, context, options) {
        return (0, exports.CurrenciesApiFp)(this.configuration)
            .currenciesControllerGetCryptoRate(chainId, cryptoCode, fiat, value, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
}
exports.CurrenciesApi = CurrenciesApi;
const DefaultApiAxiosParamCreator = function (configuration) {
    return {
        dependencyControllerGetAllDependencies: async (options = {}) => {
            const localVarPath = `/v1/dependencies`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        eligibilityControllerGetCardEligibility: async (options = {}) => {
            const localVarPath = `/eligibility/card`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        eligibilityControllerGetCardEligibilitySimple: async (options = {}) => {
            const localVarPath = `/eligibility/mm-card`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        eligibilityControllerSubmitUniqueLink: async (options = {}) => {
            const localVarPath = `/eligibility/card/uniqueLink`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        eligibilityControllerValidateUniqueLink: async (id, options = {}) => {
            (0, common_1.assertParamExists)('eligibilityControllerValidateUniqueLink', 'id', id);
            const localVarPath = `/eligibility/card/uniqueLink`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (id !== undefined) {
                localVarQueryParameter['id'] = id;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        monitoringControllerGetPrometheusMetrics: async (options = {}) => {
            const localVarPath = `/metrics`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
exports.DefaultApiAxiosParamCreator = DefaultApiAxiosParamCreator;
const DefaultApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.DefaultApiAxiosParamCreator)(configuration);
    return {
        async dependencyControllerGetAllDependencies(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.dependencyControllerGetAllDependencies(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async eligibilityControllerGetCardEligibility(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.eligibilityControllerGetCardEligibility(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async eligibilityControllerGetCardEligibilitySimple(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.eligibilityControllerGetCardEligibilitySimple(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async eligibilityControllerSubmitUniqueLink(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.eligibilityControllerSubmitUniqueLink(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async eligibilityControllerValidateUniqueLink(id, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.eligibilityControllerValidateUniqueLink(id, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async monitoringControllerGetPrometheusMetrics(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.monitoringControllerGetPrometheusMetrics(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
    };
};
exports.DefaultApiFp = DefaultApiFp;
const DefaultApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.DefaultApiFp)(configuration);
    return {
        dependencyControllerGetAllDependencies(options) {
            return localVarFp
                .dependencyControllerGetAllDependencies(options)
                .then((request) => request(axios, basePath));
        },
        eligibilityControllerGetCardEligibility(options) {
            return localVarFp
                .eligibilityControllerGetCardEligibility(options)
                .then((request) => request(axios, basePath));
        },
        eligibilityControllerGetCardEligibilitySimple(options) {
            return localVarFp
                .eligibilityControllerGetCardEligibilitySimple(options)
                .then((request) => request(axios, basePath));
        },
        eligibilityControllerSubmitUniqueLink(options) {
            return localVarFp
                .eligibilityControllerSubmitUniqueLink(options)
                .then((request) => request(axios, basePath));
        },
        eligibilityControllerValidateUniqueLink(id, options) {
            return localVarFp
                .eligibilityControllerValidateUniqueLink(id, options)
                .then((request) => request(axios, basePath));
        },
        monitoringControllerGetPrometheusMetrics(options) {
            return localVarFp
                .monitoringControllerGetPrometheusMetrics(options)
                .then((request) => request(axios, basePath));
        },
    };
};
exports.DefaultApiFactory = DefaultApiFactory;
class DefaultApi extends base_1.BaseAPI {
    dependencyControllerGetAllDependencies(options) {
        return (0, exports.DefaultApiFp)(this.configuration)
            .dependencyControllerGetAllDependencies(options)
            .then((request) => request(this.axios, this.basePath));
    }
    eligibilityControllerGetCardEligibility(options) {
        return (0, exports.DefaultApiFp)(this.configuration)
            .eligibilityControllerGetCardEligibility(options)
            .then((request) => request(this.axios, this.basePath));
    }
    eligibilityControllerGetCardEligibilitySimple(options) {
        return (0, exports.DefaultApiFp)(this.configuration)
            .eligibilityControllerGetCardEligibilitySimple(options)
            .then((request) => request(this.axios, this.basePath));
    }
    eligibilityControllerSubmitUniqueLink(options) {
        return (0, exports.DefaultApiFp)(this.configuration)
            .eligibilityControllerSubmitUniqueLink(options)
            .then((request) => request(this.axios, this.basePath));
    }
    eligibilityControllerValidateUniqueLink(id, options) {
        return (0, exports.DefaultApiFp)(this.configuration)
            .eligibilityControllerValidateUniqueLink(id, options)
            .then((request) => request(this.axios, this.basePath));
    }
    monitoringControllerGetPrometheusMetrics(options) {
        return (0, exports.DefaultApiFp)(this.configuration)
            .monitoringControllerGetPrometheusMetrics(options)
            .then((request) => request(this.axios, this.basePath));
    }
}
exports.DefaultApi = DefaultApi;
const HealthApiAxiosParamCreator = function (configuration) {
    return {
        healthControllerCheck: async (options = {}) => {
            const localVarPath = `/health`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        metadataControllerGetMetadata: async (options = {}) => {
            const localVarPath = `/`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
exports.HealthApiAxiosParamCreator = HealthApiAxiosParamCreator;
const HealthApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.HealthApiAxiosParamCreator)(configuration);
    return {
        async healthControllerCheck(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.healthControllerCheck(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async metadataControllerGetMetadata(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.metadataControllerGetMetadata(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
    };
};
exports.HealthApiFp = HealthApiFp;
const HealthApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.HealthApiFp)(configuration);
    return {
        healthControllerCheck(options) {
            return localVarFp
                .healthControllerCheck(options)
                .then((request) => request(axios, basePath));
        },
        metadataControllerGetMetadata(options) {
            return localVarFp
                .metadataControllerGetMetadata(options)
                .then((request) => request(axios, basePath));
        },
    };
};
exports.HealthApiFactory = HealthApiFactory;
class HealthApi extends base_1.BaseAPI {
    healthControllerCheck(options) {
        return (0, exports.HealthApiFp)(this.configuration)
            .healthControllerCheck(options)
            .then((request) => request(this.axios, this.basePath));
    }
    metadataControllerGetMetadata(options) {
        return (0, exports.HealthApiFp)(this.configuration)
            .metadataControllerGetMetadata(options)
            .then((request) => request(this.axios, this.basePath));
    }
}
exports.HealthApi = HealthApi;
const OrderManagementApiAxiosParamCreator = function (configuration) {
    return {
        ordersControllerGetAllProviders: async (environment, context, options = {}) => {
            const localVarPath = `/providers`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (environment !== undefined) {
                localVarQueryParameter['environment'] = environment;
            }
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetAllQuotes: async (regionId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, providers, providerCode, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetAllQuotes', 'regionId', regionId);
            (0, common_1.assertParamExists)('ordersControllerGetAllQuotes', 'cryptoCurrencyId', cryptoCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetAllQuotes', 'fiatCurrencyId', fiatCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetAllQuotes', 'amount', amount);
            (0, common_1.assertParamExists)('ordersControllerGetAllQuotes', 'walletAddress', walletAddress);
            (0, common_1.assertParamExists)('ordersControllerGetAllQuotes', 'redirectUrl', redirectUrl);
            (0, common_1.assertParamExists)('ordersControllerGetAllQuotes', 'providers', providers);
            (0, common_1.assertParamExists)('ordersControllerGetAllQuotes', 'providerCode', providerCode);
            const localVarPath = `/providers/all/quote`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (regionId !== undefined) {
                localVarQueryParameter['regionId'] = regionId;
            }
            if (cryptoCurrencyId !== undefined) {
                localVarQueryParameter['cryptoCurrencyId'] = cryptoCurrencyId;
            }
            if (fiatCurrencyId !== undefined) {
                localVarQueryParameter['fiatCurrencyId'] = fiatCurrencyId;
            }
            if (amount !== undefined) {
                localVarQueryParameter['amount'] = amount;
            }
            if (walletAddress !== undefined) {
                localVarQueryParameter['walletAddress'] = walletAddress;
            }
            if (redirectUrl !== undefined) {
                localVarQueryParameter['redirectUrl'] = redirectUrl;
            }
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetAllSellQuotes: async (regionId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, providers, providerCode, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetAllSellQuotes', 'regionId', regionId);
            (0, common_1.assertParamExists)('ordersControllerGetAllSellQuotes', 'cryptoCurrencyId', cryptoCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetAllSellQuotes', 'fiatCurrencyId', fiatCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetAllSellQuotes', 'walletAddress', walletAddress);
            (0, common_1.assertParamExists)('ordersControllerGetAllSellQuotes', 'redirectUrl', redirectUrl);
            (0, common_1.assertParamExists)('ordersControllerGetAllSellQuotes', 'providers', providers);
            (0, common_1.assertParamExists)('ordersControllerGetAllSellQuotes', 'providerCode', providerCode);
            const localVarPath = `/providers/all/sell-quote`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (regionId !== undefined) {
                localVarQueryParameter['regionId'] = regionId;
            }
            if (cryptoCurrencyId !== undefined) {
                localVarQueryParameter['cryptoCurrencyId'] = cryptoCurrencyId;
            }
            if (fiatCurrencyId !== undefined) {
                localVarQueryParameter['fiatCurrencyId'] = fiatCurrencyId;
            }
            if (walletAddress !== undefined) {
                localVarQueryParameter['walletAddress'] = walletAddress;
            }
            if (redirectUrl !== undefined) {
                localVarQueryParameter['redirectUrl'] = redirectUrl;
            }
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetBuyUrl: async (providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, orderId, redirectUrl, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetBuyUrl', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('ordersControllerGetBuyUrl', 'regionId', regionId);
            (0, common_1.assertParamExists)('ordersControllerGetBuyUrl', 'paymentMethodId', paymentMethodId);
            (0, common_1.assertParamExists)('ordersControllerGetBuyUrl', 'cryptoCurrencyId', cryptoCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetBuyUrl', 'fiatCurrencyId', fiatCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetBuyUrl', 'amount', amount);
            (0, common_1.assertParamExists)('ordersControllerGetBuyUrl', 'walletAddress', walletAddress);
            (0, common_1.assertParamExists)('ordersControllerGetBuyUrl', 'orderId', orderId);
            (0, common_1.assertParamExists)('ordersControllerGetBuyUrl', 'redirectUrl', redirectUrl);
            const localVarPath = `/providers/{providerCode}/buy-widget`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (regionId !== undefined) {
                localVarQueryParameter['regionId'] = regionId;
            }
            if (paymentMethodId !== undefined) {
                localVarQueryParameter['paymentMethodId'] = paymentMethodId;
            }
            if (cryptoCurrencyId !== undefined) {
                localVarQueryParameter['cryptoCurrencyId'] = cryptoCurrencyId;
            }
            if (fiatCurrencyId !== undefined) {
                localVarQueryParameter['fiatCurrencyId'] = fiatCurrencyId;
            }
            if (amount !== undefined) {
                localVarQueryParameter['amount'] = amount;
            }
            if (walletAddress !== undefined) {
                localVarQueryParameter['walletAddress'] = walletAddress;
            }
            if (orderId !== undefined) {
                localVarQueryParameter['orderId'] = orderId;
            }
            if (redirectUrl !== undefined) {
                localVarQueryParameter['redirectUrl'] = redirectUrl;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetOrder: async (providerCode, orderCode, wallet, fromRedirection, context, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetOrder', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('ordersControllerGetOrder', 'orderCode', orderCode);
            (0, common_1.assertParamExists)('ordersControllerGetOrder', 'wallet', wallet);
            const localVarPath = `/providers/{providerCode}/orders/{orderCode}`
                .replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)))
                .replace(`{${'orderCode'}}`, encodeURIComponent(String(orderCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (wallet !== undefined) {
                localVarQueryParameter['wallet'] = wallet;
            }
            if (fromRedirection !== undefined) {
                localVarQueryParameter['fromRedirection'] = fromRedirection;
            }
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetOrderIdFromCallback: async (providerCode, url, context, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetOrderIdFromCallback', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('ordersControllerGetOrderIdFromCallback', 'url', url);
            const localVarPath = `/providers/{providerCode}/callback`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (url !== undefined) {
                localVarQueryParameter['url'] = url;
            }
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetQuote: async (providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetQuote', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('ordersControllerGetQuote', 'regionId', regionId);
            (0, common_1.assertParamExists)('ordersControllerGetQuote', 'paymentMethodId', paymentMethodId);
            (0, common_1.assertParamExists)('ordersControllerGetQuote', 'cryptoCurrencyId', cryptoCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetQuote', 'fiatCurrencyId', fiatCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetQuote', 'amount', amount);
            (0, common_1.assertParamExists)('ordersControllerGetQuote', 'walletAddress', walletAddress);
            (0, common_1.assertParamExists)('ordersControllerGetQuote', 'redirectUrl', redirectUrl);
            const localVarPath = `/providers/{providerCode}/quote`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (regionId !== undefined) {
                localVarQueryParameter['regionId'] = regionId;
            }
            if (paymentMethodId !== undefined) {
                localVarQueryParameter['paymentMethodId'] = paymentMethodId;
            }
            if (cryptoCurrencyId !== undefined) {
                localVarQueryParameter['cryptoCurrencyId'] = cryptoCurrencyId;
            }
            if (fiatCurrencyId !== undefined) {
                localVarQueryParameter['fiatCurrencyId'] = fiatCurrencyId;
            }
            if (amount !== undefined) {
                localVarQueryParameter['amount'] = amount;
            }
            if (walletAddress !== undefined) {
                localVarQueryParameter['walletAddress'] = walletAddress;
            }
            if (redirectUrl !== undefined) {
                localVarQueryParameter['redirectUrl'] = redirectUrl;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetRankings: async (options = {}) => {
            const localVarPath = `/providers/all/rankings`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetRecurringOrders: async (providerCode, orderCode, wallet, start, end, skip, limit, context, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetRecurringOrders', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('ordersControllerGetRecurringOrders', 'orderCode', orderCode);
            (0, common_1.assertParamExists)('ordersControllerGetRecurringOrders', 'wallet', wallet);
            (0, common_1.assertParamExists)('ordersControllerGetRecurringOrders', 'start', start);
            (0, common_1.assertParamExists)('ordersControllerGetRecurringOrders', 'end', end);
            (0, common_1.assertParamExists)('ordersControllerGetRecurringOrders', 'skip', skip);
            (0, common_1.assertParamExists)('ordersControllerGetRecurringOrders', 'limit', limit);
            const localVarPath = `/providers/{providerCode}/orders/{orderCode}/recurring`
                .replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)))
                .replace(`{${'orderCode'}}`, encodeURIComponent(String(orderCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (wallet !== undefined) {
                localVarQueryParameter['wallet'] = wallet;
            }
            if (start !== undefined) {
                localVarQueryParameter['start'] =
                    start instanceof Date ? start.toISOString() : start;
            }
            if (end !== undefined) {
                localVarQueryParameter['end'] =
                    end instanceof Date ? end.toISOString() : end;
            }
            if (skip !== undefined) {
                localVarQueryParameter['skip'] = skip;
            }
            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetSellOrder: async (providerCode, orderCode, wallet, context, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetSellOrder', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('ordersControllerGetSellOrder', 'orderCode', orderCode);
            (0, common_1.assertParamExists)('ordersControllerGetSellOrder', 'wallet', wallet);
            const localVarPath = `/providers/{providerCode}/sell-orders/{orderCode}`
                .replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)))
                .replace(`{${'orderCode'}}`, encodeURIComponent(String(orderCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (wallet !== undefined) {
                localVarQueryParameter['wallet'] = wallet;
            }
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetSellOrderIdFromCallback: async (providerCode, url, context, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetSellOrderIdFromCallback', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('ordersControllerGetSellOrderIdFromCallback', 'url', url);
            const localVarPath = `/providers/{providerCode}/sell-callback`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (url !== undefined) {
                localVarQueryParameter['url'] = url;
            }
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetSellQuote: async (providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetSellQuote', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('ordersControllerGetSellQuote', 'regionId', regionId);
            (0, common_1.assertParamExists)('ordersControllerGetSellQuote', 'paymentMethodId', paymentMethodId);
            (0, common_1.assertParamExists)('ordersControllerGetSellQuote', 'cryptoCurrencyId', cryptoCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetSellQuote', 'fiatCurrencyId', fiatCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetSellQuote', 'walletAddress', walletAddress);
            (0, common_1.assertParamExists)('ordersControllerGetSellQuote', 'redirectUrl', redirectUrl);
            const localVarPath = `/providers/{providerCode}/sell-quote`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (regionId !== undefined) {
                localVarQueryParameter['regionId'] = regionId;
            }
            if (paymentMethodId !== undefined) {
                localVarQueryParameter['paymentMethodId'] = paymentMethodId;
            }
            if (cryptoCurrencyId !== undefined) {
                localVarQueryParameter['cryptoCurrencyId'] = cryptoCurrencyId;
            }
            if (fiatCurrencyId !== undefined) {
                localVarQueryParameter['fiatCurrencyId'] = fiatCurrencyId;
            }
            if (walletAddress !== undefined) {
                localVarQueryParameter['walletAddress'] = walletAddress;
            }
            if (redirectUrl !== undefined) {
                localVarQueryParameter['redirectUrl'] = redirectUrl;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerGetSellUrl: async (providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, orderId, redirectUrl, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerGetSellUrl', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('ordersControllerGetSellUrl', 'regionId', regionId);
            (0, common_1.assertParamExists)('ordersControllerGetSellUrl', 'paymentMethodId', paymentMethodId);
            (0, common_1.assertParamExists)('ordersControllerGetSellUrl', 'cryptoCurrencyId', cryptoCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetSellUrl', 'fiatCurrencyId', fiatCurrencyId);
            (0, common_1.assertParamExists)('ordersControllerGetSellUrl', 'walletAddress', walletAddress);
            (0, common_1.assertParamExists)('ordersControllerGetSellUrl', 'orderId', orderId);
            (0, common_1.assertParamExists)('ordersControllerGetSellUrl', 'redirectUrl', redirectUrl);
            const localVarPath = `/providers/{providerCode}/sell-widget`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (regionId !== undefined) {
                localVarQueryParameter['regionId'] = regionId;
            }
            if (paymentMethodId !== undefined) {
                localVarQueryParameter['paymentMethodId'] = paymentMethodId;
            }
            if (cryptoCurrencyId !== undefined) {
                localVarQueryParameter['cryptoCurrencyId'] = cryptoCurrencyId;
            }
            if (fiatCurrencyId !== undefined) {
                localVarQueryParameter['fiatCurrencyId'] = fiatCurrencyId;
            }
            if (walletAddress !== undefined) {
                localVarQueryParameter['walletAddress'] = walletAddress;
            }
            if (orderId !== undefined) {
                localVarQueryParameter['orderId'] = orderId;
            }
            if (redirectUrl !== undefined) {
                localVarQueryParameter['redirectUrl'] = redirectUrl;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerRedirect: async (providerCode, context, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerRedirect', 'providerCode', providerCode);
            const localVarPath = `/providers/{providerCode}/redirect`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        ordersControllerSubmitApplePayOrder: async (providerCode, options = {}) => {
            (0, common_1.assertParamExists)('ordersControllerSubmitApplePayOrder', 'providerCode', providerCode);
            const localVarPath = `/providers/{providerCode}/order/apple-pay`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'POST' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
exports.OrderManagementApiAxiosParamCreator = OrderManagementApiAxiosParamCreator;
const OrderManagementApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.OrderManagementApiAxiosParamCreator)(configuration);
    return {
        async ordersControllerGetAllProviders(environment, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetAllProviders(environment, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetAllQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, providers, providerCode, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetAllQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, providers, providerCode, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetAllSellQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, providers, providerCode, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetAllSellQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, providers, providerCode, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetBuyUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, orderId, redirectUrl, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetBuyUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, orderId, redirectUrl, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetOrder(providerCode, orderCode, wallet, fromRedirection, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetOrder(providerCode, orderCode, wallet, fromRedirection, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetOrderIdFromCallback(providerCode, url, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetOrderIdFromCallback(providerCode, url, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetRankings(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetRankings(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetRecurringOrders(providerCode, orderCode, wallet, start, end, skip, limit, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetRecurringOrders(providerCode, orderCode, wallet, start, end, skip, limit, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetSellOrder(providerCode, orderCode, wallet, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetSellOrder(providerCode, orderCode, wallet, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetSellOrderIdFromCallback(providerCode, url, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetSellOrderIdFromCallback(providerCode, url, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetSellQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetSellQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerGetSellUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, orderId, redirectUrl, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerGetSellUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, orderId, redirectUrl, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerRedirect(providerCode, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerRedirect(providerCode, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async ordersControllerSubmitApplePayOrder(providerCode, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.ordersControllerSubmitApplePayOrder(providerCode, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
    };
};
exports.OrderManagementApiFp = OrderManagementApiFp;
const OrderManagementApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.OrderManagementApiFp)(configuration);
    return {
        ordersControllerGetAllProviders(environment, context, options) {
            return localVarFp
                .ordersControllerGetAllProviders(environment, context, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetAllQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, providers, providerCode, options) {
            return localVarFp
                .ordersControllerGetAllQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, providers, providerCode, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetAllSellQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, providers, providerCode, options) {
            return localVarFp
                .ordersControllerGetAllSellQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, providers, providerCode, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetBuyUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, orderId, redirectUrl, options) {
            return localVarFp
                .ordersControllerGetBuyUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, orderId, redirectUrl, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetOrder(providerCode, orderCode, wallet, fromRedirection, context, options) {
            return localVarFp
                .ordersControllerGetOrder(providerCode, orderCode, wallet, fromRedirection, context, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetOrderIdFromCallback(providerCode, url, context, options) {
            return localVarFp
                .ordersControllerGetOrderIdFromCallback(providerCode, url, context, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, options) {
            return localVarFp
                .ordersControllerGetQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetRankings(options) {
            return localVarFp
                .ordersControllerGetRankings(options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetRecurringOrders(providerCode, orderCode, wallet, start, end, skip, limit, context, options) {
            return localVarFp
                .ordersControllerGetRecurringOrders(providerCode, orderCode, wallet, start, end, skip, limit, context, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetSellOrder(providerCode, orderCode, wallet, context, options) {
            return localVarFp
                .ordersControllerGetSellOrder(providerCode, orderCode, wallet, context, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetSellOrderIdFromCallback(providerCode, url, context, options) {
            return localVarFp
                .ordersControllerGetSellOrderIdFromCallback(providerCode, url, context, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetSellQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, options) {
            return localVarFp
                .ordersControllerGetSellQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerGetSellUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, orderId, redirectUrl, options) {
            return localVarFp
                .ordersControllerGetSellUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, orderId, redirectUrl, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerRedirect(providerCode, context, options) {
            return localVarFp
                .ordersControllerRedirect(providerCode, context, options)
                .then((request) => request(axios, basePath));
        },
        ordersControllerSubmitApplePayOrder(providerCode, options) {
            return localVarFp
                .ordersControllerSubmitApplePayOrder(providerCode, options)
                .then((request) => request(axios, basePath));
        },
    };
};
exports.OrderManagementApiFactory = OrderManagementApiFactory;
class OrderManagementApi extends base_1.BaseAPI {
    ordersControllerGetAllProviders(environment, context, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetAllProviders(environment, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetAllQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, providers, providerCode, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetAllQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, providers, providerCode, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetAllSellQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, providers, providerCode, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetAllSellQuotes(regionId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, providers, providerCode, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetBuyUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, orderId, redirectUrl, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetBuyUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, orderId, redirectUrl, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetOrder(providerCode, orderCode, wallet, fromRedirection, context, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetOrder(providerCode, orderCode, wallet, fromRedirection, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetOrderIdFromCallback(providerCode, url, context, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetOrderIdFromCallback(providerCode, url, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, amount, walletAddress, redirectUrl, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetRankings(options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetRankings(options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetRecurringOrders(providerCode, orderCode, wallet, start, end, skip, limit, context, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetRecurringOrders(providerCode, orderCode, wallet, start, end, skip, limit, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetSellOrder(providerCode, orderCode, wallet, context, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetSellOrder(providerCode, orderCode, wallet, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetSellOrderIdFromCallback(providerCode, url, context, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetSellOrderIdFromCallback(providerCode, url, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetSellQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetSellQuote(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, redirectUrl, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerGetSellUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, orderId, redirectUrl, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerGetSellUrl(providerCode, regionId, paymentMethodId, cryptoCurrencyId, fiatCurrencyId, walletAddress, orderId, redirectUrl, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerRedirect(providerCode, context, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerRedirect(providerCode, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    ordersControllerSubmitApplePayOrder(providerCode, options) {
        return (0, exports.OrderManagementApiFp)(this.configuration)
            .ordersControllerSubmitApplePayOrder(providerCode, options)
            .then((request) => request(this.axios, this.basePath));
    }
}
exports.OrderManagementApi = OrderManagementApi;
const RegionsApiAxiosParamCreator = function (configuration) {
    return {
        regionsControllerFakeCallback: async (fakeRedirectCallback, options = {}) => {
            const localVarPath = `/regions/fake-callback`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (fakeRedirectCallback !== undefined && fakeRedirectCallback !== null) {
                localVarHeaderParameter['Fake redirect callback'] =
                    String(fakeRedirectCallback);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        regionsControllerGetCountries: async (context, options = {}) => {
            const localVarPath = `/regions/countries`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        regionsControllerGetNetworkDetails: async (context, options = {}) => {
            const localVarPath = `/regions/network-details`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        regionsControllerGetNetworks: async (context, options = {}) => {
            const localVarPath = `/regions/networks`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        regionsControllerGetRegion: async (regionCode, context, options = {}) => {
            (0, common_1.assertParamExists)('regionsControllerGetRegion', 'regionCode', regionCode);
            const localVarPath = `/regions/{regionCode}`.replace(`{${'regionCode'}}`, encodeURIComponent(String(regionCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        regionsControllerGetRegionLight: async (action, regionCode, payment, fiat, crypto, context, options = {}) => {
            (0, common_1.assertParamExists)('regionsControllerGetRegionLight', 'action', action);
            (0, common_1.assertParamExists)('regionsControllerGetRegionLight', 'regionCode', regionCode);
            (0, common_1.assertParamExists)('regionsControllerGetRegionLight', 'payment', payment);
            (0, common_1.assertParamExists)('regionsControllerGetRegionLight', 'fiat', fiat);
            (0, common_1.assertParamExists)('regionsControllerGetRegionLight', 'crypto', crypto);
            const localVarPath = `/regions/{regionCode}/light`.replace(`{${'regionCode'}}`, encodeURIComponent(String(regionCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            if (action !== undefined) {
                localVarQueryParameter['action'] = action;
            }
            if (payment) {
                localVarQueryParameter['payment'] = payment;
            }
            if (fiat !== undefined) {
                localVarQueryParameter['fiat'] = fiat;
            }
            if (crypto !== undefined) {
                localVarQueryParameter['crypto'] = crypto;
            }
            if (context !== undefined && context !== null) {
                localVarHeaderParameter['context'] = String(context);
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
exports.RegionsApiAxiosParamCreator = RegionsApiAxiosParamCreator;
const RegionsApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.RegionsApiAxiosParamCreator)(configuration);
    return {
        async regionsControllerFakeCallback(fakeRedirectCallback, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.regionsControllerFakeCallback(fakeRedirectCallback, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async regionsControllerGetCountries(context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.regionsControllerGetCountries(context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async regionsControllerGetNetworkDetails(context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.regionsControllerGetNetworkDetails(context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async regionsControllerGetNetworks(context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.regionsControllerGetNetworks(context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async regionsControllerGetRegion(regionCode, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.regionsControllerGetRegion(regionCode, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async regionsControllerGetRegionLight(action, regionCode, payment, fiat, crypto, context, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.regionsControllerGetRegionLight(action, regionCode, payment, fiat, crypto, context, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
    };
};
exports.RegionsApiFp = RegionsApiFp;
const RegionsApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.RegionsApiFp)(configuration);
    return {
        regionsControllerFakeCallback(fakeRedirectCallback, options) {
            return localVarFp
                .regionsControllerFakeCallback(fakeRedirectCallback, options)
                .then((request) => request(axios, basePath));
        },
        regionsControllerGetCountries(context, options) {
            return localVarFp
                .regionsControllerGetCountries(context, options)
                .then((request) => request(axios, basePath));
        },
        regionsControllerGetNetworkDetails(context, options) {
            return localVarFp
                .regionsControllerGetNetworkDetails(context, options)
                .then((request) => request(axios, basePath));
        },
        regionsControllerGetNetworks(context, options) {
            return localVarFp
                .regionsControllerGetNetworks(context, options)
                .then((request) => request(axios, basePath));
        },
        regionsControllerGetRegion(regionCode, context, options) {
            return localVarFp
                .regionsControllerGetRegion(regionCode, context, options)
                .then((request) => request(axios, basePath));
        },
        regionsControllerGetRegionLight(action, regionCode, payment, fiat, crypto, context, options) {
            return localVarFp
                .regionsControllerGetRegionLight(action, regionCode, payment, fiat, crypto, context, options)
                .then((request) => request(axios, basePath));
        },
    };
};
exports.RegionsApiFactory = RegionsApiFactory;
class RegionsApi extends base_1.BaseAPI {
    regionsControllerFakeCallback(fakeRedirectCallback, options) {
        return (0, exports.RegionsApiFp)(this.configuration)
            .regionsControllerFakeCallback(fakeRedirectCallback, options)
            .then((request) => request(this.axios, this.basePath));
    }
    regionsControllerGetCountries(context, options) {
        return (0, exports.RegionsApiFp)(this.configuration)
            .regionsControllerGetCountries(context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    regionsControllerGetNetworkDetails(context, options) {
        return (0, exports.RegionsApiFp)(this.configuration)
            .regionsControllerGetNetworkDetails(context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    regionsControllerGetNetworks(context, options) {
        return (0, exports.RegionsApiFp)(this.configuration)
            .regionsControllerGetNetworks(context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    regionsControllerGetRegion(regionCode, context, options) {
        return (0, exports.RegionsApiFp)(this.configuration)
            .regionsControllerGetRegion(regionCode, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
    regionsControllerGetRegionLight(action, regionCode, payment, fiat, crypto, context, options) {
        return (0, exports.RegionsApiFp)(this.configuration)
            .regionsControllerGetRegionLight(action, regionCode, payment, fiat, crypto, context, options)
            .then((request) => request(this.axios, this.basePath));
    }
}
exports.RegionsApi = RegionsApi;
const ReportsApiAxiosParamCreator = function (configuration) {
    return {
        reportsControllerGetCountries: async (providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetCountries', 'providers', providers);
            const localVarPath = `/reports/regions/countries`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetCountry: async (regionCode, providers, countryCode, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetCountry', 'regionCode', regionCode);
            (0, common_1.assertParamExists)('reportsControllerGetCountry', 'providers', providers);
            (0, common_1.assertParamExists)('reportsControllerGetCountry', 'countryCode', countryCode);
            const localVarPath = `/reports/regions/{regionCode}`
                .replace(`{${'regionCode'}}`, encodeURIComponent(String(regionCode)))
                .replace(`{${'countryCode'}}`, encodeURIComponent(String(countryCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetCryptoCurrencies: async (providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetCryptoCurrencies', 'providers', providers);
            const localVarPath = `/reports/currencies/crypto`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetCryptoCurrency: async (cryptoNetwork, cryptoAddress, providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetCryptoCurrency', 'cryptoNetwork', cryptoNetwork);
            (0, common_1.assertParamExists)('reportsControllerGetCryptoCurrency', 'cryptoAddress', cryptoAddress);
            (0, common_1.assertParamExists)('reportsControllerGetCryptoCurrency', 'providers', providers);
            const localVarPath = `/reports/currencies/crypto/{cryptoNetwork}/{cryptoAddress}`
                .replace(`{${'cryptoNetwork'}}`, encodeURIComponent(String(cryptoNetwork)))
                .replace(`{${'cryptoAddress'}}`, encodeURIComponent(String(cryptoAddress)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetFiatCurrencies: async (providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetFiatCurrencies', 'providers', providers);
            const localVarPath = `/reports/currencies/fiat`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetFiatCurrency: async (fiatCode, providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetFiatCurrency', 'fiatCode', fiatCode);
            (0, common_1.assertParamExists)('reportsControllerGetFiatCurrency', 'providers', providers);
            const localVarPath = `/reports/currencies/fiat/{fiatCode}`.replace(`{${'fiatCode'}}`, encodeURIComponent(String(fiatCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetPayment: async (paymentCode, providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetPayment', 'paymentCode', paymentCode);
            (0, common_1.assertParamExists)('reportsControllerGetPayment', 'providers', providers);
            const localVarPath = `/reports/payments/{paymentCode}`.replace(`{${'paymentCode'}}`, encodeURIComponent(String(paymentCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetPayments: async (providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetPayments', 'providers', providers);
            const localVarPath = `/reports/payments`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetProvider: async (providerCode, providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetProvider', 'providerCode', providerCode);
            (0, common_1.assertParamExists)('reportsControllerGetProvider', 'providers', providers);
            const localVarPath = `/reports/providers/{providerCode}`.replace(`{${'providerCode'}}`, encodeURIComponent(String(providerCode)));
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetProviders: async (providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetProviders', 'providers', providers);
            const localVarPath = `/reports/providers`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetRegions: async (providers, options = {}) => {
            (0, common_1.assertParamExists)('reportsControllerGetRegions', 'providers', providers);
            const localVarPath = `/reports/regions`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            if (providers) {
                localVarQueryParameter['providers'] = providers;
            }
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        reportsControllerGetSystem: async (options = {}) => {
            const localVarPath = `/reports/system`;
            const localVarUrlObj = new URL(localVarPath, common_1.DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = Object.assign(Object.assign({ method: 'GET' }, baseOptions), options);
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            await (0, common_1.setApiKeyToObject)(localVarHeaderParameter, 'X-API-Key', configuration);
            (0, common_1.setSearchParams)(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = Object.assign(Object.assign(Object.assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
            return {
                url: (0, common_1.toPathString)(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
exports.ReportsApiAxiosParamCreator = ReportsApiAxiosParamCreator;
const ReportsApiFp = function (configuration) {
    const localVarAxiosParamCreator = (0, exports.ReportsApiAxiosParamCreator)(configuration);
    return {
        async reportsControllerGetCountries(providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetCountries(providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetCountry(regionCode, providers, countryCode, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetCountry(regionCode, providers, countryCode, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetCryptoCurrencies(providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetCryptoCurrencies(providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetCryptoCurrency(cryptoNetwork, cryptoAddress, providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetCryptoCurrency(cryptoNetwork, cryptoAddress, providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetFiatCurrencies(providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetFiatCurrencies(providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetFiatCurrency(fiatCode, providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetFiatCurrency(fiatCode, providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetPayment(paymentCode, providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetPayment(paymentCode, providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetPayments(providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetPayments(providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetProvider(providerCode, providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetProvider(providerCode, providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetProviders(providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetProviders(providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetRegions(providers, options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetRegions(providers, options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
        async reportsControllerGetSystem(options) {
            const localVarAxiosArgs = await localVarAxiosParamCreator.reportsControllerGetSystem(options);
            return (0, common_1.createRequestFunction)(localVarAxiosArgs, axios_1.default, base_1.BASE_PATH, configuration);
        },
    };
};
exports.ReportsApiFp = ReportsApiFp;
const ReportsApiFactory = function (configuration, basePath, axios) {
    const localVarFp = (0, exports.ReportsApiFp)(configuration);
    return {
        reportsControllerGetCountries(providers, options) {
            return localVarFp
                .reportsControllerGetCountries(providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetCountry(regionCode, providers, countryCode, options) {
            return localVarFp
                .reportsControllerGetCountry(regionCode, providers, countryCode, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetCryptoCurrencies(providers, options) {
            return localVarFp
                .reportsControllerGetCryptoCurrencies(providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetCryptoCurrency(cryptoNetwork, cryptoAddress, providers, options) {
            return localVarFp
                .reportsControllerGetCryptoCurrency(cryptoNetwork, cryptoAddress, providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetFiatCurrencies(providers, options) {
            return localVarFp
                .reportsControllerGetFiatCurrencies(providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetFiatCurrency(fiatCode, providers, options) {
            return localVarFp
                .reportsControllerGetFiatCurrency(fiatCode, providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetPayment(paymentCode, providers, options) {
            return localVarFp
                .reportsControllerGetPayment(paymentCode, providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetPayments(providers, options) {
            return localVarFp
                .reportsControllerGetPayments(providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetProvider(providerCode, providers, options) {
            return localVarFp
                .reportsControllerGetProvider(providerCode, providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetProviders(providers, options) {
            return localVarFp
                .reportsControllerGetProviders(providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetRegions(providers, options) {
            return localVarFp
                .reportsControllerGetRegions(providers, options)
                .then((request) => request(axios, basePath));
        },
        reportsControllerGetSystem(options) {
            return localVarFp
                .reportsControllerGetSystem(options)
                .then((request) => request(axios, basePath));
        },
    };
};
exports.ReportsApiFactory = ReportsApiFactory;
class ReportsApi extends base_1.BaseAPI {
    reportsControllerGetCountries(providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetCountries(providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetCountry(regionCode, providers, countryCode, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetCountry(regionCode, providers, countryCode, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetCryptoCurrencies(providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetCryptoCurrencies(providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetCryptoCurrency(cryptoNetwork, cryptoAddress, providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetCryptoCurrency(cryptoNetwork, cryptoAddress, providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetFiatCurrencies(providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetFiatCurrencies(providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetFiatCurrency(fiatCode, providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetFiatCurrency(fiatCode, providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetPayment(paymentCode, providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetPayment(paymentCode, providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetPayments(providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetPayments(providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetProvider(providerCode, providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetProvider(providerCode, providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetProviders(providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetProviders(providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetRegions(providers, options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetRegions(providers, options)
            .then((request) => request(this.axios, this.basePath));
    }
    reportsControllerGetSystem(options) {
        return (0, exports.ReportsApiFp)(this.configuration)
            .reportsControllerGetSystem(options)
            .then((request) => request(this.axios, this.basePath));
    }
}
exports.ReportsApi = ReportsApi;
