import { CryptoCurrency, Order } from './API';
export interface ApplePayPaymentInfo {
    methodData: ApplePayMethodData[];
    paymentDetails: ApplePayMethodDetails;
    paymentOptions: ApplePayMethodOptions;
}
export interface ApplePayMethodData {
    supportedMethods: string[];
    data: {
        countryCode: string;
        currencyCode: string;
        supportedNetworks: string[];
        merchantIdentifier: any;
    };
}
export interface ApplePayMethodDetails {
    displayItems: {
        amount: {
            currency: string;
            value: string;
        };
        label: string;
    }[];
    total: {
        amount: {
            translatedFiat: string;
            value: string;
        };
        label: string;
    };
}
export interface ApplePayMethodOptions {
    requestPayerPhone: boolean;
    requestPayerEmail: boolean;
    requestBilling: boolean;
    merchantCapabilities: string[];
}
export interface IApplePaySetup {
    getPurchaseFiatAmountWithoutFeeLabel(crypto: CryptoCurrency): string;
    getPurchaseFiatFeeLabel(): string;
    getPurchaseFiatTotalAmountLabel(): string;
}
export declare enum ApplePayPurchaseStatus {
    FAILURE = "FAILURE",
    SUCCESS = "SUCCESS",
    PENDING = "PENDING"
}
export interface ApplePayPurchaseResult {
    order?: Order;
    status: ApplePayPurchaseStatus;
    error?: any;
    authenticationUrl?: string;
}
