"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = __importDefault(require("util"));
const OnRampSdk_1 = require("./OnRampSdk");
const IOnRampSdk_1 = require("./IOnRampSdk");
const api_1 = require("./API/api");
function logObject(title, myObject) {
    console.log(`************************** ${title} **************************`);
    console.log(util_1.default.inspect(myObject, { showHidden: false, depth: null, colors: true }));
    console.log(``);
}
async function main(action) {
    const sdk = OnRampSdk_1.OnRampSdk.create('http://localhost:3000', IOnRampSdk_1.Context.Mobile, {
        verbose: true,
    });
    await action(sdk);
    process.exit(0);
}
const basicTests = async (sdk) => {
    const regions = await sdk.regions();
    logObject('Get all payment methods for France', api_1.PaymentType.DebitCreditCard ==
        (await regions.getPaymentMethods('/regions/fr'))[0].paymentType);
    logObject('Get all payment methods for France', api_1.PaymentType.DebitCreditCard ==
        (await regions.getPaymentMethods('/regions/rs'))[0].paymentType);
    return Promise.resolve();
};
main(basicTests);
