import type { AxiosInstance } from 'axios';
import { Order, Provider } from './API';
import { Logger } from './Logger';
import OnRampSdkParameters from './OnRampSdkParameters';
import { ApplePayPurchaseResult } from './ApplePay';
import OrderList from './OrderList';
export default class OrdersService {
    #private;
    private readonly axios;
    private readonly logger;
    private readonly sdkParameters;
    private readonly providerCache?;
    constructor(axios: AxiosInstance, logger: Logger, sdkParameters: OnRampSdkParameters);
    getOrderIdFromCallback(providerId: string, redirectUrl: string): Promise<string>;
    getOrderFromCallback(providerId: string, redirectUrl: string, walletAddress: string): Promise<Order>;
    getSellOrderFromCallback(providerId: string, redirectUrl: string, walletAddress: string): Promise<Order>;
    getOrder(orderId: string, walletAddress: string): Promise<Order>;
    getSellOrder(orderId: string, walletAddress: string): Promise<Order>;
    submitApplePayOrder(dest: string, providerId: string, payload: any): Promise<ApplePayPurchaseResult>;
    private getProviders;
    getProvider(providerId: string): Promise<Provider>;
    getRecurringOrders(orderId: string, walletAddress: string, start: Date, end: Date): Promise<OrderList>;
    private getRecurringOrdersFromUrl;
    addRedirectionListener(callback: (orderId: string) => void | Promise<void>): void;
}
