"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
class SdkIntrospection {
    getSignature(targetClass, method) {
        const paramsMetadata = Reflect.getMetadata('design:sdkparams', targetClass.prototype, method.name) || [];
        const result = [];
        for (const param of paramsMetadata) {
            result[param.index] = { required: !!param.required };
        }
        return { parameters: result };
    }
}
exports.default = SdkIntrospection;
