"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const OnRampSdk_1 = require("./OnRampSdk");
const SdkIntrospection_1 = __importDefault(require("./SdkIntrospection"));
const SdkParam_1 = __importDefault(require("./SdkParam"));
require("reflect-metadata");
class TestClass {
    myMethod1(a, b) {
        return null;
    }
    myMethod2(a, b) {
        return null;
    }
    myMethod3(a, b) {
        return null;
    }
    myMethod4(a, b) {
        return null;
    }
    myMethod5(a, b) {
        return null;
    }
    myMethod6(a, b) {
        return null;
    }
    myMethod7(a, b) {
        return null;
    }
}
__decorate([
    __param(0, (0, SdkParam_1.default)()),
    __param(1, (0, SdkParam_1.default)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Number]),
    __metadata("design:returntype", void 0)
], TestClass.prototype, "myMethod2", null);
__decorate([
    __param(0, (0, SdkParam_1.default)({ required: true })),
    __param(1, (0, SdkParam_1.default)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Number]),
    __metadata("design:returntype", void 0)
], TestClass.prototype, "myMethod3", null);
__decorate([
    __param(0, (0, SdkParam_1.default)({ required: true })),
    __param(1, (0, SdkParam_1.default)({ required: true })),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Number]),
    __metadata("design:returntype", void 0)
], TestClass.prototype, "myMethod4", null);
__decorate([
    __param(0, (0, SdkParam_1.default)({ required: true })),
    __param(1, (0, SdkParam_1.default)({ required: false })),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Number]),
    __metadata("design:returntype", void 0)
], TestClass.prototype, "myMethod5", null);
__decorate([
    __param(0, (0, SdkParam_1.default)({ required: false })),
    __param(1, (0, SdkParam_1.default)({ required: false })),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Number]),
    __metadata("design:returntype", void 0)
], TestClass.prototype, "myMethod6", null);
__decorate([
    __param(0, (0, SdkParam_1.default)()),
    __param(1, (0, SdkParam_1.default)({ required: false })),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Number]),
    __metadata("design:returntype", void 0)
], TestClass.prototype, "myMethod7", null);
describe('getSignature', () => {
    it('returns signature for (none, none)', () => {
        const signature = new SdkIntrospection_1.default().getSignature(TestClass, TestClass.prototype.myMethod1);
        expect(signature.parameters.length).toBe(0);
    });
    it('returns signature for (default, none)', () => {
        const signature = new SdkIntrospection_1.default().getSignature(TestClass, TestClass.prototype.myMethod2);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(false);
        expect(signature.parameters[1].required).toBe(false);
    });
    it('returns signature for (required, none)', () => {
        const signature = new SdkIntrospection_1.default().getSignature(TestClass, TestClass.prototype.myMethod3);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(false);
    });
    it('returns signature for (required, required)', () => {
        const signature = new SdkIntrospection_1.default().getSignature(TestClass, TestClass.prototype.myMethod4);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
    });
    it('returns signature for (required, optional)', () => {
        const signature = new SdkIntrospection_1.default().getSignature(TestClass, TestClass.prototype.myMethod5);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(false);
    });
    it('returns signature for (optional, optional)', () => {
        const signature = new SdkIntrospection_1.default().getSignature(TestClass, TestClass.prototype.myMethod6);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(false);
        expect(signature.parameters[1].required).toBe(false);
    });
    it('returns signature for (none, optional)', () => {
        const signature = new SdkIntrospection_1.default().getSignature(TestClass, TestClass.prototype.myMethod7);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(false);
        expect(signature.parameters[1].required).toBe(false);
    });
});
describe('OnRampSdk', () => {
    it('setActivationKeys', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.OnRampSdk, OnRampSdk_1.OnRampSdk.prototype.setActivationKeys);
        expect(signature.parameters.length).toBe(1);
        expect(signature.parameters[0].required).toBe(true);
    });
    it('reports', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.OnRampSdk, OnRampSdk_1.OnRampSdk.prototype.reports);
        expect(signature.parameters.length).toBe(1);
        expect(signature.parameters[0].required).toBe(true);
    });
    it('setLocale', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.OnRampSdk, OnRampSdk_1.OnRampSdk.prototype.setLocale);
        expect(signature.parameters.length).toBe(1);
        expect(signature.parameters[0].required).toBe(true);
    });
});
describe('RegionsService', () => {
    it('reset', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.reset);
        expect(signature.parameters.length).toBe(1);
        expect(signature.parameters[0].required).toBe(true);
    });
    it('getPaymentMethods', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getPaymentMethods);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(false);
    });
    it('getSellPaymentMethods', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getSellPaymentMethods);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(false);
    });
    it('getPaymentMethod', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getPaymentMethod);
        expect(signature.parameters.length).toBe(3);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
    });
    it('getDefaultFiatCurrency', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getDefaultFiatCurrency);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
    });
    it('getDefaultFiatCurrencySync', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getDefaultFiatCurrencySync);
        expect(signature.parameters.length).toBe(4);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
        expect(signature.parameters[3].required).toBe(true);
    });
    it('getSellCryptoCurrencies', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getSellCryptoCurrencies);
        expect(signature.parameters.length).toBe(4);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
        expect(signature.parameters[3].required).toBe(false);
    });
    it('getCryptoCurrency', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getCryptoCurrency);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
    });
    it('getFiatCurrencies', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getFiatCurrencies);
        expect(signature.parameters.length).toBe(3);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(false);
    });
    it('getSellFiatCurrencies', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getSellFiatCurrencies);
        expect(signature.parameters.length).toBe(3);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(false);
    });
    it('getFiatCurrency', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getFiatCurrency);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
    });
    it('getLimits', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getLimits);
        expect(signature.parameters.length).toBe(5);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
        expect(signature.parameters[3].required).toBe(true);
        expect(signature.parameters[4].required).toBe(false);
    });
    it('getSellLimits', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getSellLimits);
        expect(signature.parameters.length).toBe(4);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
        expect(signature.parameters[3].required).toBe(true);
    });
    it('getQuotes', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getQuotes);
        expect(signature.parameters.length).toBe(7);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
        expect(signature.parameters[3].required).toBe(true);
        expect(signature.parameters[4].required).toBe(true);
        expect(signature.parameters[5].required).toBe(false);
        expect(signature.parameters[6].required).toBe(false);
    });
    it('getSellQuotes', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getSellQuotes);
        expect(signature.parameters.length).toBe(7);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
        expect(signature.parameters[3].required).toBe(true);
        expect(signature.parameters[4].required).toBe(true);
        expect(signature.parameters[5].required).toBe(false);
        expect(signature.parameters[6].required).toBe(false);
    });
    it('getBuyUrl', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getBuyUrl);
        expect(signature.parameters.length).toBe(7);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
        expect(signature.parameters[3].required).toBe(true);
        expect(signature.parameters[4].required).toBe(true);
        expect(signature.parameters[5].required).toBe(true);
        expect(signature.parameters[6].required).toBe(true);
    });
    it('getSellUrl', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.RegionsService, OnRampSdk_1.RegionsService.prototype.getSellUrl);
        expect(signature.parameters.length).toBe(7);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
        expect(signature.parameters[3].required).toBe(true);
        expect(signature.parameters[4].required).toBe(true);
        expect(signature.parameters[5].required).toBe(true);
        expect(signature.parameters[6].required).toBe(true);
    });
});
describe('OrdersService', () => {
    it('getOrderIdFromCallback', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.OrdersService, OnRampSdk_1.OrdersService.prototype.getOrderIdFromCallback);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
    });
    it('getOrderFromCallback', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.OrdersService, OnRampSdk_1.OrdersService.prototype.getOrderFromCallback);
        expect(signature.parameters.length).toBe(3);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
    });
    it('getSellOrderFromCallback', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.OrdersService, OnRampSdk_1.OrdersService.prototype.getSellOrderFromCallback);
        expect(signature.parameters.length).toBe(3);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
        expect(signature.parameters[2].required).toBe(true);
    });
    it('getOrder', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.OrdersService, OnRampSdk_1.OrdersService.prototype.getOrder);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
    });
    it('getSellOrder', () => {
        const signature = new SdkIntrospection_1.default().getSignature(OnRampSdk_1.OrdersService, OnRampSdk_1.OrdersService.prototype.getSellOrder);
        expect(signature.parameters.length).toBe(2);
        expect(signature.parameters[0].required).toBe(true);
        expect(signature.parameters[1].required).toBe(true);
    });
});
