import { Payment, Provider } from './API';
type Selector<TResult> = (any: any) => TResult;
export default class Utils {
    static checkParameters(parameters: Record<string, any>): void;
    static downloadAsMap(axios: any, url: string, resultSelector?: Selector<any[]>, idSelector?: Selector<string>): Promise<Map<string, any>>;
    static stringify(o: any, space?: string | number): string;
    static setProviderAbsoluteUrls(baseUrl: string, provider: Provider): Provider;
    static setPaymentAbsoluteUrls<TPayment extends Payment>(baseUrl: string, payment: TPayment): TPayment;
    static try<T>(action: () => Promise<T>, isSuccess?: (result: T) => boolean, maxTrials?: number): Promise<T>;
    static trimUrl(url: string): string;
}
export {};
