import { QuoteOrQuery, RegionProvider, Provider } from '../../API';
import { Limits, QuoteResponse, QuoteError, SellQuoteResponse } from '../../IOnRampSdk';
import { OnRampSdk } from '../../OnRampSdk';
import { Logger } from '../../Logger';
import { IProvider } from '../IProvider';
import { ProviderAction } from '../../regions/RegionsService';
export declare class GenericProviderSDK implements IProvider {
    private readonly onRampSdk;
    private readonly providerId;
    private logger;
    constructor(onRampSdk: OnRampSdk, providerId: string, logger: Logger);
    getId(): string;
    getLimit(provider: RegionProvider, fiat: string, crypto: string, paymentMethods: string[]): Promise<Limits>;
    getSellLimit(provider: RegionProvider, fiat: string, crypto: string, paymentMethods: string[]): Promise<Limits>;
    private addApplePayToQuote;
    formatQuote(quoteOrQuery: QuoteOrQuery | QuoteError, provider: Provider, regionId: string, paymentMethod: string, crypto: string, fiat: string, amount: number | string, action: ProviderAction, receiver?: string): Promise<QuoteResponse | SellQuoteResponse | QuoteError>;
    getQuote(provider: RegionProvider, quoteUri: string, regionId: string, paymentMethod: string, crypto: string, fiat: string, amount: number, receiver?: string, abortController?: AbortController): Promise<QuoteResponse | QuoteError>;
    private getRemoteQuote;
    getSellQuote(provider: RegionProvider, quoteUri: string, regionId: string, paymentMethod: string, crypto: string, fiat: string, amount: number, receiver?: string, abortController?: AbortController): Promise<SellQuoteResponse | QuoteError>;
    private getCountryCode;
    parseError(body: any): QuoteError;
    private translateFiat;
    private translateCrypto;
}
