"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GenericProviderSDK_1 = require("./Generic/GenericProviderSDK");
class ProviderList {
    register(provider) {
        this.providers.set(provider.getId(), provider);
    }
    constructor(onRampSdk, logger) {
        this.onRampSdk = onRampSdk;
        this.logger = logger;
        this.providers = new Map();
    }
    get(providerId) {
        if (this.providers.has(providerId)) {
            return this.providers.get(providerId);
        }
        else {
            return new GenericProviderSDK_1.GenericProviderSDK(this.onRampSdk, providerId, this.logger);
        }
    }
}
exports.default = ProviderList;
