"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const API_1 = require("../API");
class BuyAction {
    constructor(createWidget, browser) {
        this.createWidget = createWidget;
        this.browser = browser;
    }
    static build(createWidget, provider, paymentMethod) {
        var _a, _b, _c;
        const providerBrowser = (_b = (_a = provider === null || provider === void 0 ? void 0 : provider.features) === null || _a === void 0 ? void 0 : _a.buy) === null || _b === void 0 ? void 0 : _b.browser;
        const paymentBrowser = paymentMethod === null || paymentMethod === void 0 ? void 0 : paymentMethod.browser;
        const defaultBrowser = API_1.ProviderBuyFeatureBrowserEnum.AppBrowser;
        const browser = (_c = paymentBrowser !== null && paymentBrowser !== void 0 ? paymentBrowser : providerBrowser) !== null && _c !== void 0 ? _c : defaultBrowser;
        return new BuyAction(async (redirectUrl) => {
            const transformRedirectUrl = this.transformRedirectUrl(provider, redirectUrl);
            return await createWidget(browser, transformRedirectUrl);
        }, browser);
    }
    static transformRedirectUrl(provider, url) {
        return url
            .replace('{providerCode}', this.getProviderCode(provider))
            .replace('{providerId}', provider.id);
    }
    static getProviderCode(provider) {
        const split = provider.id.split('/');
        return split[split.length - 1];
    }
}
exports.default = BuyAction;
