import { Logger } from '../Logger';
import { Payment, RegionCacheParameters, CryptoCurrency, FiatCurrency, Limits } from '../API';
import { ProviderAction } from './RegionsService';
export declare class CountryCache {
    countryId: string;
    cachedPayments: Payment[];
    cachedCryptoCurrencies: Map<string, CryptoCurrency>;
    cachedFiatCurrencies: Map<string, FiatCurrency>;
    cachedParameters: RegionCacheParameters;
    expirationDate: Date;
    limits: Limits;
    private constructor();
    static Create(logger: Logger, axios: any, baseUrl: string, action: ProviderAction, countryId: string, paymentIds: string[], fiatId: string, cryptoId: string, abortController?: AbortController): Promise<CountryCache>;
    private static getCacheExpirationDate;
    private static setAbsoluteUrls;
    private static setAbsolutePaymentUrls;
}
